Subject: Re: tgcm on prospect

From: Rich Loft <[email-masked]>
Date: Fri, 14 Apr 2000 08:40:00 -0600 (MDT)

Ben:

   This is great news!

   Yes, I believe that we have a modified fft from fftpack which will 
   work for you, I assume you want real to complex, complex to real?
   Any other details will be appreciated!

								Rich

   Date: Thu, 13 Apr 2000 16:47:00 -0600 (MDT)
   From: Ben Foster <[email-masked]>
   Content-Length: 598

   Rich:

   Ok, tgcm is running with OpenMP on Crays and SGI Origin,
   and MPI on blackforest. Now for Compaq. It runs with OpenMP
   on prospect, but only the master thread gets it right. I
   have determined that the problem is with an old fft from
   ecmfft lib. Altho the old source (fft991, etc) works fine
   on the other 3 platforms, only the master is correct on
   prospect (its ok with one proc). I have confirmed this with 
   a small test program.

   I talked w/ Dick V. about it, and he mentioned that your
   group has done some work on reentrant ffts. He has also
   worked on fftpack5. What do you suggest?

   --Ben